Bug 1150099 - Review Request: python-neo - Represent electrophysiology data in Python
Summary: Review Request: python-neo - Represent electrophysiology data in Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1150090
Blocks: python-pynn fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2014-10-07 12:34 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-07-06 16:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 15:44:24 UTC
orion: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2014-10-07 12:34:35 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-neo/python-neo.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-neo/python-neo-0.3.3-1.fc22.src.rpm

Description: 
Neo is a package for representing electrophysiology data in Python, together
with support for reading a wide range of neurophysiology file formats,
including Spike2, NeuroExplorer, AlphaOmega, Axon, Blackrock, Plexon, Tdt, and
support for writing to a subset of these formats plus non-proprietary formats
including HDF5.

The goal of Neo is to improve interoperability between Python tools for
analyzing, visualizing and generating electrophysiology data (such as
OpenElectrophy, NeuroTools, G-node, Helmholtz, PyNN) by providing a common,
shared object model. In order to be as lightweight a dependency as possible,
Neo is deliberately limited to represention of data, with no functions for data
analysis or visualization.

Neo implements a hierarchical data model well adapted to intracellular and
extracellular electrophysiology and EEG data with support for multi-electrodes
(for example tetrodes). Neo's data objects build on the quantities_ package,
which in turn builds on NumPy by adding support for physical dimensions. Thus
neo objects behave just like normal NumPy arrays, but with additional metadata,
checks for dimensional consistency and automatic unit conversion.%if


Fedora Account System Username: ankursinha

Comment 1 Antonio 2014-10-09 10:01:22 UTC
You can perform tests by using 'nosetests' and build documentation.
See doc/source/developers_guide.rst .

Comment 2 Antonio 2015-11-26 19:04:41 UTC
Any news here?

Comment 3 Ankur Sinha (FranciscoD) 2015-12-21 12:08:00 UTC
Sorry Antonio, was on vacation. I'll build docs and run tests and update the ticket this week.

Cheers,
Ankur

Comment 4 Ankur Sinha (FranciscoD) 2017-02-01 15:34:01 UTC
Updated - better late than never I guess:

Updated to latest upstream release, tests run, documentation packaged.

https://ankursinha.fedorapeople.org/python-neo/python-neo.spec

https://ankursinha.fedorapeople.org/python-neo/python-neo-0.4.1-1.fc25.src.rpm

Comment 5 Orion Poplawski 2017-03-11 18:25:36 UTC
Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18323743

If you use the sources from github https://github.com/NeuralEnsemble/python-neo/releases it will contain LICENSE.txt.

doc is pretty big:

2.4M    usr/share/doc/python2-neo/html

I would suggest making a single python-neo-doc sub-package with that directory.

Comment 6 Ankur Sinha (FranciscoD) 2017-06-26 16:15:23 UTC
Updated spec/srpm:

https://ankursinha.fedorapeople.org/python-neo/python-neo.spec

https://ankursinha.fedorapeople.org/python-neo/python-neo-0.5.1-1.fc26.src.rpm

* Mon Jun 26 2017 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.1-1
- Update to latest upstream release

I've split the docs into a new subpackage, and updated the package to the lastest upstream version using the sources from Github.

I get a funny rpmlint error, but I can't figure out what I've done wrong at the moment..

python3-neo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/neo/__init__.pyc expected 3379 (3.6), found 62211 (2.7)
python3-neo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/neo/core/__init__.pyc expected 3379 (3.6), found 62211 (2.7)
python3-neo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/neo/core/baseneo.pyc expected 3379 (3.6), found 62211 (2.7)
python3-neo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/neo/core/block.pyc expected 3379 (3.6), found 62211 (2.7)
python3-neo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/neo/core/channelindex.pyc expected 3379 (3.6), found 62211 (2.7)
python3-neo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/neo/core/container.pyc expected 3379 (3.6), found 62211 (2.7)
python3-neo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/neo/core/segment.pyc expected 3379 (3.6), found 62211 (2.7)


Cheers!
Ankur

Comment 7 Elliott Sales de Andrade 2017-08-28 07:33:46 UTC
The doc building is polluting your build directory with Python 2 compiled bytecode, which is getting installed to the Python 3 directory by a wholesale copy.

Comment 8 Ankur Sinha (FranciscoD) 2018-06-09 20:20:27 UTC
Hello,

Sorry for the rather long hiatus!

New spec/srpm:

https://ankursinha.fedorapeople.org/python-neo/python-neo.spec

https://ankursinha.fedorapeople.org/python-neo/python-neo-0.6.1-1.fc28.src.rpm

Cheers,
Ankur!

Comment 9 Orion Poplawski 2018-06-17 23:14:34 UTC
Python2 deps should all use python2- prefix (including numpy).

Again, if you use the sources from github https://github.com/NeuralEnsemble/python-neo/releases it will contain LICENSE.txt.  Is there any reason not to use it?

Comment 10 Ankur Sinha (FranciscoD) 2018-06-18 11:41:04 UTC
Hello,

I missed the comment about using the Github sources. I'm using them now.

New spec/srpm:

https://ankursinha.fedorapeople.org/python-neo/python-neo.spec

https://ankursinha.fedorapeople.org/python-neo/python-neo-0.6.1-2.fc28.src.rpm

* Mon Jun 18 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.6.1-2
- Use python dist macros
- Use github source


Cheers,
Ankur

Comment 11 Orion Poplawski 2018-06-21 02:28:32 UTC
Looks good to me.  Approved.

Comment 12 Ankur Sinha (FranciscoD) 2018-06-21 12:17:20 UTC
Thanks very much for the review!

Requesting pagure repo now.

Comment 13 Gwyn Ciesla 2018-06-21 12:47:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-neo

Comment 14 Fedora Update System 2018-06-21 13:44:49 UTC
python-neo-0.6.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d07d13a1a

Comment 15 Fedora Update System 2018-06-21 15:09:35 UTC
python-neo-0.6.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-09ab4c4289

Comment 16 Fedora Update System 2018-06-22 13:47:35 UTC
python-neo-0.6.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d07d13a1a

Comment 17 Fedora Update System 2018-06-22 15:52:50 UTC
python-neo-0.6.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-09ab4c4289

Comment 18 Fedora Update System 2018-07-06 15:44:24 UTC
python-neo-0.6.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-07-06 16:41:49 UTC
python-neo-0.6.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.